# Uses of Class
org.apache.lucene.index.ImpactsEnum

Packages that use ImpactsEnum
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of ImpactsEnum in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return ImpactsEnum
  Modifier and Type
  Method
  Description
  `abstract ImpactsEnum`
  PostingsReaderBase.`impacts(FieldInfo fieldInfo, BlockTermState state, int flags)`
  Return a `ImpactsEnum` that computes impacts with `scorer`.

- ## Uses of ImpactsEnum in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return ImpactsEnum
  Modifier and Type
  Method
  Description
  `ImpactsEnum`
  Lucene103PostingsReader.`impacts(FieldInfo fieldInfo, BlockTermState state, int flags)`
  Methods in org.apache.lucene.codecs.lucene103 that return types with arguments of type ImpactsEnum
  Modifier and Type
  Method
  Description
  `static Class<? extends ImpactsEnum>`
  Lucene103PostingsFormat.`getImpactsEnumImpl()`
  Return the class that implements `ImpactsEnum` in this `PostingsFormat`.

- ## Uses of ImpactsEnum in org.apache.lucene.index

  Subclasses of ImpactsEnum in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `final class`
  `SlowImpactsEnum`
  `ImpactsEnum` that doesn't index impacts but implements the API in a legal way.
  Methods in org.apache.lucene.index that return ImpactsEnum
  Modifier and Type
  Method
  Description
  `ImpactsEnum`
  FilteredTermsEnum.`impacts(int flags)`
  `ImpactsEnum`
  FilterLeafReader.FilterTermsEnum.`impacts(int flags)`
  `ImpactsEnum`
  MultiTermsEnum.`impacts(int flags)`
  `abstract ImpactsEnum`
  TermsEnum.`impacts(int flags)`
  Return a `ImpactsEnum`.

- ## Uses of ImpactsEnum in org.apache.lucene.search

  Methods in org.apache.lucene.search that return ImpactsEnum
  Modifier and Type
  Method
  Description
  `ImpactsEnum`
  FuzzyTermsEnum.`impacts(int flags)`
  Constructors in org.apache.lucene.search with parameters of type ImpactsEnum
  Modifier
  Constructor
  Description
  ``
  `PostingsAndFreq(PostingsEnum postings, ImpactsEnum impacts, int position, List<Term> terms)`
  ``
  `PostingsAndFreq(PostingsEnum postings, ImpactsEnum impacts, int position, Term... terms)`
  Creates PostingsAndFreq instance
  ``
  `TermScorer(ImpactsEnum impactsEnum, Similarity.SimScorer scorer, NumericDocValues norms, boolean topLevelScoringClause)`
  Construct a `TermScorer` that will use impacts to skip blocks of non-competitive documents.